<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.40.0.34.6.0.11.9.46
Name: Participant Body - Authorized Editor
Description: Enthält die OID des GDA, der einen Eintrag (entry) bearbeiten darf. Das Berechtigungssystem erlaubt die Korrektur eines Eintrags nur einem GDA mit derselben OID oder GDAs mit der Rolle "Korrekturberechtigte Person".
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.40.0.34.6.0.11.9.46-2021-12-03T123540-closed">
   <title>Participant Body - Authorized Editor</title>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="*[hl7:templateId[@root = '1.2.40.0.34.6.0.11.9.46']]/*[not(@xsi:nil = 'true')][not(self::hl7:templateId[@root = '1.2.40.0.34.6.0.11.9.46'] | self::hl7:participantRole[not(@nullFlavor)])]"
         id="d42e27749-true-d1327928e0">
      <assert role="error"
              see="http://elga.art-decor.org/elgaimpf-html-20221109T094818/tmp-1.2.40.0.34.6.0.11.9.46-2021-12-03T123540.html"
              test="not(.)">(atcdabbr_other_ParticipantBodyAuthorizedEditor)/d42e27749-true-d1327928e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. Erwartet:  hl7:templateId[@root = '1.2.40.0.34.6.0.11.9.46'] | hl7:participantRole[not(@nullFlavor)] (rule-reference: d42e27749-true-d1327928e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="*[hl7:templateId[@root = '1.2.40.0.34.6.0.11.9.46']]/hl7:participantRole[not(@nullFlavor)]/*[not(@xsi:nil = 'true')][not(self::hl7:id[not(@nullFlavor)][not(@nullFlavor)])]"
         id="d42e27763-true-d1327944e0">
      <assert role="error"
              see="http://elga.art-decor.org/elgaimpf-html-20221109T094818/tmp-1.2.40.0.34.6.0.11.9.46-2021-12-03T123540.html"
              test="not(.)">(atcdabbr_other_ParticipantBodyAuthorizedEditor)/d42e27763-true-d1327944e0: '<value-of select="name(..)"/>' ist als geschlossen definiert und dieses Element '<name/>' ist nicht erlaubt oder nicht mit diesem Inhalt erlaubt. Dies kann templateId, code oder id betreffen. Erwartet:  hl7:id[not(@nullFlavor)][not(@nullFlavor)] (rule-reference: d42e27763-true-d1327944e0)</assert>
   </rule>
</pattern>
